Bug 985557 - rt2800pci broken
rt2800pci broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
18
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 14:40 EDT by John Deighan
Modified: 2014-02-05 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:08:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Deighan 2013-07-17 14:40:28 EDT
Description of problem:
    Driver (?) keeps asking for authentication. Authentication string is valid (this works in windows from the machine I'm on and a nearby laptop)


Version-Release number of selected component (if applicable):

  Not sure this is exactly what you're looking for but...

02:00.0 Network controller [0280]: Ralink corp. RT5390 Wireless 802.11n 1T/1R PCIe [1814:5390]
	Subsystem: Ralink corp. Device [1814:f051]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort+ <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe900000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: rt2800pci

How reproducible:
Every (explitive deleted) time I try to connect to my wireless router from Fedora 18.  I am currently using a different mfgr USB dongle wireless adapter to write this.

Steps to Reproduce:
1. Turn machine on (hp 1157)
2. Log in to my Gnome 3 account on Fedora 18
3. Wait for wireless connection

Actual results:
Ask for authentication, give authentication, wait.  Lather rinse repeat.

Expected results:
A working wireless connection

Additional info:

[jdeighan@localhost Wireless]$ uname -a
Linux localhost.localdomain 3.9.6-200.fc18.x86_64 #1 SMP Thu Jun 13 18:56:55 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Bob M 2013-08-08 11:04:40 EDT
John,

Is your wireless working at all?

By that I mean, I just did an upgrade from fc17 to fc19. My wireless worked fine on fc17. When booting, there's a small light on the f12 key that goes from amber to white indicating the wireless function is working. That does not happen with fc19. So I never actually can get to a point where a driver is asking for authentication. Never had a driver ask for authentication in fc17. 

HP Pavilion, Intel i3

3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

02:00.0 Network controller: Ralink corp. RT5390 Wireless 802.11n 1T/1R PCIe
Comment 2 Fedora End Of Life 2013-12-21 09:20:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:08:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.